GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtIarg Class Reference
GTPin: High-Level Instrumentation (HLI) Parameters and Arguments

Abstract representation of the HLI function argument. More...

`#include <igt_iarg.h>`

## Public Member Functions
virtual GtHliParamTraits | ParamTraits () const =0
| Return traits of the function parameter.
virtual GtIargType | Type () const =0
| Return type of the argument.
virtual void | Handle (IGtIargHandler &handler) const =0
| Process this argument with the specified handler.
virtual GtCoreString | ToString () const =0
| Return string representation of this object.

## Detailed Description

Abstract representation of the HLI function argument.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT